Check if a domain name is available for registration

Determine if a desired domain name (with one or more top-level domains) is available for registration. Returns a `jobId` to track the domain availability check status via subsequent API calls.

Domain Services Domains

Context

Used in the dashboard

/cart/webbhotell/[slug] /cart/en/webbhotell/[slug] /cart /cart/en

Workflow links

Headers

Accept Example
Content-Type Example

Body

required
application/json
sld string required · Example: dromlab
tlds array required · Example: [".se",".com"]

Responses

200
data object required
data.jobId string required · Example: check-dromlab-1769767090785
data.message string required · Example: Domain check queued for processing

Human-readable message.

data.status string required · Example: queued
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/domain-check
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domain-check" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "sld": "dromlab",
    "tlds": [
      ".se",
      ".com",
      {
        "_truncated": "... and 4 more items"
      }
    ]
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "jobId": "check-dromlab-1769767090785",
    "status": "queued",
    "message": "Domain check queued for processing"
  }
}
Request Body Example 1
{
  "sld": "dromlab",
  "tlds": [
    ".se",
    ".com",
    {
      "_truncated": "... and 4 more items"
    }
  ]
}